Subject: Re: [PATCH 0/4] powerpc: Fix minor build issues on 2.6.32-rc7 without CONFIG_XICS set

From: Michael Ellerman <[email-masked]>
Date: Tue, 17 Nov 2009 23:52:38 +1100

On Tue, 2009-11-17 at 23:39 +1100, Michael Ellerman wrote:
> On Tue, 2009-11-17 at 12:07 +0000, Mel Gorman wrote:
> > KConfig doesn't require CONFIG_XICS to be set with CONFIG_PSERIES but if
> > it's not set, there are numerous small build errors. This is a small series
> > of patches to allow CONFIG_XICS to be unset in the config.
> > 
> > XICS appears to be some sort of interrupt controller but I'm not sure how
> > common it is on systems that require CONFIG_PSERIES. If CONFIG_PSERIES
> > universally requires CONFIG_XICS, the better path might be to force it to
> > be set.
> 
> It is indeed 'some sort of interrupt controller' :)
> 
> All the virtualised PSERIES systems have, or appear to have, a XICS. So
> it's pretty common.
> 
> I think the only time you see an MPIC is on older machines, and even
> then maybe only if you're running bare metal.
> 
> So it is pretty much required for a PSERIES kernel, but perhaps there
> are cases where the BML guys want to be able to turn it off.

In fact this series makes me wonder whether we can drop support for a
single kernel image with pseries XICS & MPIC support.

If we could drop that requirement we could have a single set of names,
ie. API, for the irq routines and build either the XICS or MPIC
versions.

That would avoid all the code that needs a setup_foo_xics() and
setup_foo_mpic() - it'd just be setup_foo(), implemented by either the
XICS or MPIC code.

cheers